
QGIS Application - Bug report #2601

qgis trunk does not associate the right crs to shapes

2010-03-28 10:48 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: nobody -

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12661

Description

Tested on trunk in both windows (seven) and linux (ubuntu 9.10) and it seems that is only a windows issue.

Add a vector that has a coordinate system that is not in the qgis default list.

As usual the unknown crs is added to the custom crs list, but in the vector properties the vector is assigned the wgs84 crs.

If you try to manually define the crs ("specify crs") in the vector properties ("general" tab), then no string at all show in the appropriate

space in the "general" tab.

Associated revisions

Revision 4c3fd804 - 2010-05-29 10:23 AM - Jürgen Fischer

fix #2601

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@13586 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 546b279c - 2010-05-29 10:23 AM - Jürgen Fischer

fix #2601

git-svn-id: http://svn.osgeo.org/qgis/trunk@13586 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-05-23 06:16 AM - Giovanni Manghi

It is still true on the latest trunk revision.

#2 - 2010-05-25 07:23 AM - Maciej Sieczka -

What EPSG code, for example?

Do you maybe know what GDAL and PROJ versions are the Windows and Ubuntu QGIS instalation build against, respectively?

#3 - 2010-05-25 02:47 PM - Giovanni Manghi
You can test one of the shapes you can download here (should be code ESRI 102164), but is easily replicable with other non EPSG crs.

http://www.iambiente.pt/atlas/dl/download.jsp?zona=continente&#38;grupo=&#38;tema=c_ph

The problem is ONLY under windows, regardless the version, using qgis trunk installed with the osgeo4w installer.

I cannot see this under Ubuntu using qgis trunk self compiled, but all the other packages from the ububtugis repository.

#4 - 2010-05-28 04:31 PM - Giovanni Manghi

This is no more a "only windows" issue. It is easy to replicate also under linux with the latest code revision.

Moreover there there are shapes that have a crs that is in the qgis internal db but it fails to read it completely like

http://www.igeo.pt/produtos/cadastro/caop/download/CAOP20090_Shapes/Cont_AAd_CAOP20090.zip

http://www2.apambiente.pt/atlas/dl/regista_dl.jsp?zona=continente&#38;grupo=&#38;tema=c_redehidro

#5 - 2010-05-29 01:33 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to fixed

probably fixed in commit:546b279c (SVN r13587).  It was impossible to save any custom crs to a fresh user db. But these might well be two different

issues as the bug description states that the crs was saved.  So feel free to reopen.

#6 - 2010-05-29 03:52 AM - Giovanni Manghi

Hi Jurgen,

just tested commit:546b279c (SVN r13587) and seems ok. Will do further tests and leave feedback. .qpj files are still saved in the wrong location. I

remember there was a ticket about this issue, I'll se if it was already closed.
